StaticMember (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.membership.StaticMember class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.membership
Class StaticMember

    java.lang.Object
      org.apache.catalina.tribes.membership.MemberImpl
          org.apache.catalina.tribes.membership.StaticMember

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, Member

    public class StaticMember

extends MemberImpl

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.tribes.membership.MemberImpl
`command, dataPkg, DO_DNS_LOOKUPS, domain, host, hostname, MEMBER_NAME, memberAliveTime, msgCount, payload, port, securePort, serviceStartTime, TCP_LISTEN_HOST, TCP_LISTEN_PORT, TRIBES_MBR_BEGIN, TRIBES_MBR_END, uniqueId`

Fields inherited from interface org.apache.catalina.tribes.Member
`SHUTDOWN_PAYLOAD`

Constructor Summary
`StaticMember()`
`StaticMember(java.lang.String host, int port, long aliveTime)`
`StaticMember(java.lang.String host, int port, long aliveTime, byte[] payload)`

Method Summary
`void` | `setDomain(java.lang.String domain)`
`void` | `setHost(java.lang.String host)`
`void` | `setUniqueId(java.lang.String id)`

Methods inherited from class org.apache.catalina.tribes.membership.MemberImpl
`bToS, bToS, equals, getCommand, getData, getData, getData, getDataLength, getDomain, getHost, getHostname, getMember, getMember, getMember, getMember, getMemberAliveTime, getName, getPayload, getPort, getSecurePort, getServiceStartTime, getUniqueId, hashCode, inc, isFailing, isReady, isSuspect, readExternal, setCommand, setDomain, setHost, setHostname, setMemberAliveTime, setMsgCount, setPayload, setPort, setSecurePort, setServiceStartTime, setUniqueId, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticMember

    public StaticMember()

### StaticMember

    public StaticMember(java.lang.String host,
                        int port,
                        long aliveTime)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### StaticMember

    public StaticMember(java.lang.String host,
                        int port,
                        long aliveTime,
                        byte[] payload)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` - String, either in byte array string format, like {214,116,1,3} or as a regular hostname, 127.0.0.1 or tomcat01.mydomain.com

### setDomain

    public void setDomain(java.lang.String domain)

  Parameters:
    `domain` - String, either in byte array string format, like {214,116,1,3} or as a regular string value like 'mydomain'. The latter will be converted using ISO-8859-1 encoding

### setUniqueId

    public void setUniqueId(java.lang.String id)

  Parameters:
    `id` - String, must be in byte array string format, like {214,116,1,3} and exactly 16 bytes long

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.